#ifndef __TEXTURE_FEATURE_H__
#define __TEXTURE_FEATURE_H__

#include "image2d.h"

class texturefeature
{
 public:
  int init( image2d **myims, image2d *mymask );

  int size()
  {
    return 38;
  }
  int calc( int x, int y, double *f );
  
 private:
  int calcgradiant();

  image2d *mask;
  image2d **ims;
  image2d grad;
  image2d imdx;
  image2d imdy;
};

#endif
